%define name bombono-dvd
%define version 1.2.4
%define release %mkrel 1

Summary: DVD authoring program with nice and clean GUI
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:   Video
URL:     http://www.bombono.org/
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: boost-devel
BuildRequires: gcc-c++
BuildRequires: scons
BuildRequires: python-scons
BuildRequires: gtk+2-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: GraphicsMagick-devel
BuildRequires: libmjpegtools-devel
BuildRequires: libdvdread-devel
BuildRequires: dvdauthor
BuildRequires: libxml++2.6-devel
Obsoletes: %{name} < %version


%description
Bombono DVD is easy to use program for making DVD-Video.
The main features of Bombono DVD are:
 * Multi-core processor support (v1.2+)
 * Excellent video viewer: Timeline and Monitor
 * Real WYSIWYG Menu Editor with live thumbnails
 * Comfortable Drag-n-Drop support
 * Transcoding, if necessary (from AVI/MKV/MOV/MPEG4...)
 * Motion menus
 * Subtitles support
 * You can author to folder, make ISO-image or burn directly to DVD
 * Reauthoring: you can import video from DVD discs


%prep
%setup -q
%apply_patches


%build
scons  CFLAGS='-Wno-extra' PREFIX="/usr" DESTDIR=%{buildroot} CPPFLAGS="-DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=3" USE_EXT_BOOST=1

%install
scons PREFIX=/usr DESTDIR=%buildroot install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# install mini and large icons in matching directories
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
install -m 0644 resources/bmd-icons/*_16px.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 resources/bmd-icons/*_48px.png %{buildroot}%_liconsdir/%{name}.png

#icon fix
mkdir -p %buildroot%{_datadir}/pixmaps
install -m 644 resources/bmd-icons/*_128px.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_mime_database &> /dev/null ||:
%update_desktop_database &> /dev/null ||:


%postun
%{clean_menus}
%clean_mime_database &> /dev/null ||:
%clean_desktop_database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/%{name}
%_bindir/mpeg2demux
%_datadir/bombono
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/bombono-dvd.png
%_miconsdir/%{name}.png
%_liconsdir/%{name}.png
%{_datadir}/mime/packages/bombono.xml
%_datadir/man/man1

   
%changelog
* Sun Jun 18 2017 adrianomorselli <adrianomorselli> 1.2.4-1uplos2017
- update for new ffmpeg
